---
title: values
slug: Web/SVG/Attribute/values
tags:
  - NeedsCompatTable
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <code>values</code> attribute has different meanings, depending upon the context where itʼs used, either it defines a sequence of values used over the course of an animation, or itʼs a list of numbers for a color matrix, which is interpreted differently depending on the type of color change to be performed.</p>

<p>Five elements are using this attribute: {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, {{SVGElement("animateTransform")}}, and {{SVGElement("feColorMatrix")}}</p>

<h2 id="animate_animateColor_animateMotion_animateTransform">animate, animateColor, animateMotion, animateTransform</h2>

<p>For {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, and {{SVGElement("animateTransform")}}, <code>values</code> is a list of values defining the sequence of values over the course of the animation. If this attribute is specified, any {{SVGAttr("from")}}, {{SVGAttr("to")}}, and {{SVGAttr("by")}} attribute values set on the element are ignored.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#List-of-Ts">&lt;list-of-values&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;list-of-values&gt;</code></dt>
 <dd>The value holds a semicolon-separated list of one or more values. The type of the values is defined by the {{SVGAttr("href")}} and {{SVGAttr("attributeName")}} attributes.</dd>
</dl>

<h2 id="feColorMatrix">feColorMatrix</h2>

<p>For the {{SVGElement("feColorMatrix")}} element, <code>values</code> is a list of numbers interpreted differently depending on the value of the {{SVGAttr("type")}} attribute.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#List-of-Ts">&lt;list-of-numbers&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>If <code>type="matrix"</code>, identity matrix,<br>
    if <code>type="saturate"</code>, <code>1</code>, resulting in identity matrix,<br>
    if <code>type="hueRotate"</code>, <code>0</code>, resulting in identity matrix</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;list-of-numbers&gt;</code></dt>
 <dd>
 <p>The value is a list of numbers, which is interpreted differently depending on the value of the <code>type</code> attribute:</p>

 <ul>
  <li>For <code>type="matrix"</code>, <code>values</code> is a list of 20 matrix values (a00 a01 a02 a03 a04 a10 a11 ... a34), separated by whitespace and/or a comma.</li>
  <li>For <code>type="saturate"</code>, <code>values</code> is a single real number value (0 to 1).</li>
  <li>For <code>type="hueRotate"</code>, <code>values</code> is a single one real number value (degrees).</li>
  <li>For <code>type="luminanceToAlpha"</code>, <code>values</code> is not applicable.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-fecolormatrix-values", "values for &lt;feColorMatrix&gt;")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#ValuesAttribute", "values for &lt;animate&gt;, &lt;animateColor&gt;, &lt;animateMotion&gt;, and &lt;animateTransform&gt;")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feColorMatrixValuesAttribute", "values for &lt;feColorMatrix&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;feColorMatrix&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "animate.html#ValuesAttribute", "values for &lt;animate&gt;, &lt;animateColor&gt;, &lt;animateMotion&gt;, and &lt;animateTransform&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;animate&gt;</code>, <code>&lt;animateColor&gt;</code>, <code>&lt;animateMotion&gt;</code>, and <code>&lt;animateTransform&gt;</code></td>
  </tr>
 </tbody>
</table>
